Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class MultithreadedPrivilegedCacheableMimeResponseChannelAdapter

    java.lang.Object
      org.jasig.portal.MultithreadedChannelAdapter
          org.jasig.portal.MultithreadedCacheableChannelAdapter
              org.jasig.portal.MultithreadedCacheableMimeResponseChannelAdapter
                  org.jasig.portal.MultithreadedPrivilegedCacheableMimeResponseChannelAdapter

All Implemented Interfaces:
  ICacheable, IChannel, IMimeResponse, IPrivileged, IPrivilegedChannel

    public class MultithreadedPrivilegedCacheableMimeResponseChannelAdapter

extends MultithreadedCacheableMimeResponseChannelAdapter
implements IPrivilegedChannel

Internal adapter for a multithreaded privileged channel that is also cacheable and implements IMimeResponse (capable of using DonwloadWorker)

Version:
  $Revision: 1.7 $
Author:
  Nick Bolton
See Also:
  `MultithreadedPrivilegedCacheableChannelAdapter`

Field Summary

Fields inherited from class org.jasig.portal.MultithreadedChannelAdapter
`channel, uid`

Constructor Summary
`MultithreadedPrivilegedCacheableMimeResponseChannelAdapter(IMultithreadedChannel channel, java.lang.String uid)`

Method Summary
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Passes portal control structure to the channel.

Methods inherited from class org.jasig.portal.MultithreadedCacheableMimeResponseChannelAdapter
`downloadData, getContentType, getHeaders, getInputStream, getName, reportDownloadError`

Methods inherited from class org.jasig.portal.MultithreadedCacheableChannelAdapter
`generateKey, isCacheValid`

Methods inherited from class org.jasig.portal.MultithreadedChannelAdapter
`getRuntimeProperties, receiveEvent, renderXML, setRuntimeData, setStaticData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jasig.portal.IChannel
`getRuntimeProperties, receiveEvent, renderXML, setRuntimeData, setStaticData`

Constructor Detail

### MultithreadedPrivilegedCacheableMimeResponseChannelAdapter

    public MultithreadedPrivilegedCacheableMimeResponseChannelAdapter(IMultithreadedChannel channel,
                                                                      java.lang.String uid)
                                                               throws PortalException

Throws:
  `PortalException`

Method Detail

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)
                                    throws PortalException

  Description copied from interface: `IPrivileged`
  Passes portal control structure to the channel.

  Specified by:
    `setPortalControlStructures` in interface `IPrivileged`
  Throws:
    `PortalException`
  See Also:
    `PortalControlStructures`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD